Subject: Re: bug#22792: eshell-mode-map declaration

From: Noam Postavsky <[email-masked]>
Date: Thu, 15 Aug 2019 20:56:37 -0400

tags 22792 fixed
close 22792 27.1
quit

Alex Branham <[email-masked]> writes:

> I don't know of a straightforward way to keep those in C-h m since this
> uses minor modes, but it's easy enough to add those into the docstring
> of the minor mode.

Alright, good enough for now, I think.  Pushed to master.

1ee0192b79 2019-08-15T20:49:15-04:00 "Fix eshell-mode-map initialization"
https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=1ee0192b792124663a0a40a729dd83c047d21535

> The more I think about this the more I wonder whether the whole
> eshell-module framework should just be moved to minor modes, then we
> could just call run-hooks on eshell-modules to set everything up. But
> that's a question for a later day I suppose.

Agreed on both counts.

> * lisp/eshell/esh-mode.el (eshell-mode-map):
> (eshell-command-map): Set up normal keymaps and prefix commands rather
> than re-initializing them in each eshell buffer
>
> * lisp/eshell/em-cmpl.el (eshell-cmpl-mode-map):
> (eshell-cmpl-mode):
> (eshell-cmpl-initialize):
> * lisp/eshell/em-hist.el (eshell-hist-mode-map):
> (eshell-hist-mode):
> (eshell-hist-initialize):
> * lisp/eshell/em-pred.el (eshell-pred-mode-map):
> (eshell-pred-mode):
> (eshell-pred-initialize):
> * lisp/eshell/em-prompt.el (eshell-prompt-mode-map):
> (eshell-prompt-mode):
> (eshell-prompt-initialize):
> * lisp/eshell/em-rebind.el (eshell-rebind-mode-map):
> (eshell-rebind-mode):
> (eshell-rebind-initialize):
> * lisp/eshell/esh-arg.el (eshell-arg-mode-map):
> (eshell-arg-mode):
> (eshell-arg-initialize):
> * lisp/eshell/esh-proc.el (eshell-proc-mode-map):
> (eshell-proc-mode):
> (eshell-proc-initialize):
> * lisp/eshell/esh-var.el (eshell-var-mode-map):
> (eshell-var-mode):
> (eshell-var-initialize): Create a new minor mode with a keymap and
> call it in the module initialization function.

By the way, the formatting of the ChangeLog entries is bit off here
(there shouldn't be a colon between empty entries of the same file).
But it's a nice use-case for the new log-edit-fill-entry: I can fix it
with just two presses of M-q :)